ClusterManagementRealizationResult (Apache Geode 1.15.4)

org.apache.geode.management.api

## Class ClusterManagementRealizationResult

- java.lang.Object
- - org.apache.geode.management.api.ClusterManagementResult
  - - org.apache.geode.management.api.ClusterManagementRealizationResult

-     @Experimental
      public class ClusterManagementRealizationResult
      extends ClusterManagementResult

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.geode.management.api.ClusterManagementResult

      `ClusterManagementResult.StatusCode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClusterManagementRealizationResult()` for internal use only
    `ClusterManagementRealizationResult(ClusterManagementResult.StatusCode statusCode, String message)` for internal use only

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addMemberStatus(RealizationResult result)` for internal use only
    `List<RealizationResult>` | `getMemberStatuses()` For a `ClusterManagementService.create(AbstractConfiguration)` operation, this will return per-member status of the create.
    `String` | `toString()` Returns the status code and message

    - ### Methods inherited from class org.apache.geode.management.api.ClusterManagementResult

      `equals, getStatusCode, getStatusMessage, hashCode, isSuccessful, setLinks, setStatus`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClusterManagementRealizationResult

          public ClusterManagementRealizationResult()

      for internal use only

    - #### ClusterManagementRealizationResult

          public ClusterManagementRealizationResult(ClusterManagementResult.StatusCode statusCode,
                                                    String message)

      for internal use only
      Parameters:
        `statusCode` - the `StatusCode` to set
        `message` - the status message to set

  - ### Method Detail

    - #### addMemberStatus

          public void addMemberStatus(RealizationResult result)

      for internal use only
      Parameters:
        `result` - the result to add

    - #### getMemberStatuses

          public List<RealizationResult> getMemberStatuses()

      For a `ClusterManagementService.create(AbstractConfiguration)` operation, this will return per-member status of the create.
      Returns:
        a list of `RealizationResult`s

    - #### toString

          public String toString()

      Description copied from class: `ClusterManagementResult`
      Returns the status code and message
      Overrides:
        `toString` in class `ClusterManagementResult`
      Returns:
        the status code and message as a String